const Discord = require('discord.js');
const client = new Discord.Client();
const fs = require('fs');
client.commands = new Discord.Collection();

function Oneline(token, prefix) {
    client.login(token);

    const commandsFiles = fs.readdirSync('./commands/').filter(f => f.endsWith('.js'));
    
    for (const file of commandsFiles) {
        const command = require(`../commands/${file}`);

        client.commands.set(command.help.name, command);
    }

    const eventFiles = fs.readdirSync('./events').filter(file => file.endsWith('.js'));

    for (const file of eventFiles) {
         const event = require(`../events/${file}`);
        if (event.help.once) {
            client.once(event.help.name, (...args) => event.run(...args, client));
        } else {
            client.on(event.help.name, (...args) => event.run(...args, client));
        }
    }

    client.on("message", async message => {
        if (!message.content.startsWith(prefix) || message.author.bot) return;

        const args = message.content.slice(prefix.length).trim().split(/ +/g);
        const commandName = args.shift().toLocaleLowerCase();

        if (!client.commands.has(commandName)) return;

        const cmd = client.commands.get(commandName);

        if (!cmd) return;

        try {

            cmd.run(client, message, args);
        } catch (error) {
            console.log(ch.redBright(`${error}`));
        }
    })
}

module.exports = { Oneline };